function [ fiducial_points_wave, fiducial_points_type ] = assign_wavepoint( R_ind, S_ind, T_ind, P_ind, Q_ind )
%ASSIGN_WAVEPOINT is a function which assigns a value to the type of wave
%and type of point
% R: 0 1; S: 0 2; T: 2 1; P: 1 1; Q: 0 0
    rw=[]; sw=[]; tw=[]; pw=[]; qw=[]; 
    rp=[]; sp=[]; tp=[]; pp=[]; qp=[]; 
    
    if(~isempty(R_ind))
        rw = 0; rp = 1;
    end
    if(~isempty(S_ind))
        sw = 0; sp = 2;
    end  
    if(~isempty(T_ind))
        tw = 2; tp = 1;
    end  
    if(~isempty(P_ind))
        pw = 1; pp = 1;
    end  
    if(~isempty(Q_ind))
        qw = 0; qp = 0;
    end 
    
    fiducial_points_wave=[rw sw tw pw qw];
    fiducial_points_type=[rp sp tp pp qp];
end

