function [ new_fid ] = delineation_correction( fs,fid, Rind, type_wave,type_point, sig)
%DELINEATION_CORRECTION Summary of this function goes here
%   Detailed explanation goes here
    %find phase
%     phase=delineation_phase(Rind ,original_sig, sig);
%     fid=fid-phase;
    
    % Checking neighbour of the point to be more accurate
    new_fid= [];
    interval_len=round(0.05*fs);
    for i=1:length(fid)
        if (type_point(i)==1) %p r t - type_point means if it's a peak (=1) or onset,end (=0,2)
            [val,ind]=max(sig(max(1,fid(i)-interval_len):min(length(sig),fid(i)+interval_len)));
            new_fid=[new_fid fid(i)-interval_len+ind-1];
        else % q s
            [val,ind]=min(sig(max(1,fid(i)-interval_len):min(length(sig),fid(i)+interval_len)));
            new_fid=[new_fid fid(i)-interval_len+ind-1];

        end
    end
     
%% Elisabetta correction ===========================================
    % Correction q and s - sometimes s is in the position of q and
    % viceversa (the last one maybe, but it's better to check)
    for i=1:length(new_fid)
        % Check q
        if(type_wave(i)==0 && type_point(i)==0)
            intnewfid = new_fid(i)-interval_len:new_fid(i)+interval_len;
            r = new_fid(ismember(new_fid,intnewfid) & type_wave ==0 & type_point ==1); % find the R % SOME ERROR HERE, SOMETIMES IS FINDING 2 Rs
            [~,indmin] = min(abs(new_fid(i)-r));
            if(~isempty(indmin) && new_fid(i)>r(indmin))
                ind = find(sig(r(indmin)-interval_len-3:r(indmin))==min(sig(r(indmin)-interval_len-3:r(indmin))),1,'first');
                if(~isempty(ind))
                    new_fid(i) = r(indmin)-interval_len-3+ind;
                else
                    new_fid(i) = r(indmin)-8;
                end
            end
            % Check p peak
            qOK = new_fid(i);
            intnewfid = qOK-interval_len*2:qOK+interval_len*2;
            p = new_fid(ismember(new_fid,intnewfid) & type_wave ==1 & type_point ==1); % find the P
            [~,indmin] = min(abs(qOK-p));
            
            if(~isempty(indmin) && qOK<p(indmin))
                
                if(isempty(max(sig(qOK-interval_len-3:qOK))))
                    new_fid(new_fid==p(indmin)) = qOK-8;
                else
                    ind = find(sig(qOK-interval_len-3:qOK)==max(sig(qOK-interval_len-3:qOK)),1,'first');
                    if(~isempty(ind))
                        new_fid(new_fid==p(indmin)) = qOK-interval_len-3+ind;
                    else
                        new_fid(new_fid==p(indmin)) = qOK-8;
                    end
                end
            end
        end        
        % Check s
        if(type_wave(i)==0 && type_point(i)==2)
            intnewfid = new_fid(i)-interval_len:new_fid(i)+interval_len;
            r = new_fid(ismember(new_fid,intnewfid) & type_wave ==0 & type_point ==1); % find the R
            [~,indmin] = min(abs(new_fid(i)-r));
            if(~isempty(indmin) && new_fid(i)<r(indmin))
                ind = find(sig(r(indmin):r(indmin)+interval_len+3)==min(sig(r(indmin):r(indmin)+interval_len+3)),1,'first');
                if(~isempty(ind))
                    new_fid(i) = r(indmin)+ind;
                else
                    new_fid(i) = r(indmin)+8;
                end
            end
        end           

    end
           
%% ===========================================


end

