function [index, type_wave,type_point,delbeats,amplbeats]=delineation_leadI_II(final_sig,fs)


    [qrs_amp_raw,qrs_i_raw]=pan_tompkin_algorithm_segmented(final_sig,fs);

    qrs_amp_raw(qrs_i_raw<=0)=[];
    qrs_i_raw(qrs_i_raw<=0)=[];

    [fid_ind, type_wave, type_point]=delineation_rr_extract(final_sig,qrs_i_raw);


    Rind = fid_ind(type_wave==0 & type_point==1);

    % Only for the initial points that can be wrong
    firstIndexPoints = final_sig(fid_ind(1:10));
    type_point(firstIndexPoints<=0)=[];
    type_wave(firstIndexPoints<=0)=[];
    fid_ind(firstIndexPoints<=0)=[];

    interval_len=round(0.05*fs);
    type_point(fid_ind<=interval_len)=[];
    type_wave(fid_ind<=interval_len)=[];
    fid_ind(fid_ind<=interval_len)=[];

%     [ indexOE,type_waveOE,type_pointOE ] = onset_end_wave( final_sig,[fid_ind(type_wave~=0 & type_point==1)' type_wave(type_wave~=0 & type_point==1)' type_point(type_wave~=0 & type_point==1)' ],fs );

    % Correction of the phase of index
    index = delineation_correction( fs,fid_ind, Rind, type_wave,type_point, final_sig); 
    
    type_wave(index<=0)=[];
    type_point(index<=0)=[];
    index(index<=0)=[];
    
    %% Find onset and offset of p and t waves beat by beat
    
    [ indOE,twOE,tpOE,indchanged ] = triangWave_OnOff( fs,final_sig,index,type_wave,type_point );
    
    indremove =  find(ismember(index,indchanged));
    type_wave(indremove)=[]; type_point(indremove)=[]; index(indremove) = [];
    index = [index indOE];
    type_wave = [type_wave twOE];
    type_point = [type_point tpOE];
    
    [index, i] = sort(index);
    type_wave = type_wave(i);
    type_point = type_point(i);
%% =================================     
    
    type_wave(index<=0)=[];
    type_point(index<=0)=[];
    index(index<=0)=[];

    index = index';
    type_wave = type_wave';
    type_point = type_point';

    [ delbeats,amplbeats ] = delpoints_in_beats( index,type_wave,type_point,final_sig );



% After this delineation you just use the original signal = final_sig

end
