function [ fiducial_points_index, fiducial_points_wave, fiducial_points_type ] = delineation_rstpq( sig )
%process one RR interval
    
    max_Q_R_S_dist=25;%max dist of Q and S from R (actually half or a bit more)
    len=length(sig);
    two_third=round(2*len/3);% RR divided into two parts: 2/3 and 1/3
    [R,R_ind]=max(sig(1:two_third));
    [S,S_ind]=min(sig(R_ind:min(R_ind+max_Q_R_S_dist,len)));
    [T,T_ind]=max(sig(S_ind:two_third));
    T_ind=T_ind+S_ind-1;    
    [Q,Q_ind]=min(sig(max(end-max_Q_R_S_dist,1):end));    
    Q_ind=len-(max_Q_R_S_dist-Q_ind)-1;
    [P,P_ind]=max(sig(two_third+1:Q_ind));
    P_ind=P_ind+two_third;
    fiducial_points_index=[R_ind S_ind T_ind P_ind Q_ind];     
    [fiducial_points_wave,fiducial_points_type]=assign_wavepoint(R_ind,S_ind,T_ind,P_ind,Q_ind);
end

