function [ fid ] = fast_delineation( sig, Fs )
    min_RR_dist=round(Fs/3); %R peaks are separated by at least Fs/3 samples
    max_RR_dist=2*Fs; %There is for sure an R peak in 2*Fs samples
    RR_value_diff=0.75; %Two samples are at most 0.75 different in value


    [R,R_ind]=max(sig(1:max_RR_dist));
    fid=[];
    while(R_ind+max_RR_dist<length(sig))
        for i=min_RR_dist:min_RR_dist:max_RR_dist-min_RR_dist
            [next_R,next_R_ind]=max(sig(R_ind+min_RR_dist:R_ind+min_RR_dist+i));
            if(next_R>RR_value_diff*R)
                break;
            end
        end        
        next_R_ind=(next_R_ind)+(R_ind)+min_RR_dist-1;
        fid=[(fid) (next_R_ind)];
        R=next_R;
        R_ind=next_R_ind;
    end

end
