function [Q_ind, R_ind, S_ind] = get_qrs_complex(signal, R_peaks, fs)

max_distance = 0.08 * fs; %% QRS width for normal sinus rhythm (0.08 - 0.12)secs. We take 200 msec i.e. 100msec from each side
Q_ind = [];
S_ind = [];
R_ind = [];

for i = 1 : length(R_peaks)
    
    index_left = R_peaks(i) - max_distance;
    index_right = R_peaks(i) + max_distance;
    
    if (index_left <= 0 || index_right >= length(signal))
        continue
    else
        [~, q_index] = min(signal(index_left : R_peaks(i)));
        [~, s_index] = min(signal(R_peaks(i):index_right));    
        Q_ind = [Q_ind (index_left + q_index - 1)];
        R_ind = [R_ind R_peaks(i)];
        S_ind = [S_ind (R_peaks(i)+ s_index - 1)];
    end
    
end

        
end
