function [ pointsw ] = index_in_beats( pointsCell )
%INDEX_IN_BEATS This function is giving the points chosen dividing
%in beats (every row is a beat)
% The R peak should be at least present 

    % Consider every R peak as reference point and take the last P wave and
    % Q lower than the R peak and the T wave and S higher than the R peak.
    % Consider the R peak in the index considered 
    R = pointsCell{5};
    Rw = R(2:end-1);  % these are my reference points. Leave at least the first and last R peak cause the may have problems at this points
    pointsw = zeros(size(Rw));
    beats2remove = [];

    for refw=1:size(Rw,1)
        for p = 1:length(pointsCell)
            point = pointsCell{p};
            if(p==5)
                Rcutw = Rw(refw,:);  
                pointsw(refw,p) = Rcutw;
            elseif(p<5)
                ptmp = point(find(point(:,1)<Rw(refw,1),1,'last'),1);
                if(~isempty(ptmp))
                    pointsw(refw,p) = ptmp;
                else
                    beats2remove = [beats2remove refw];
                    pointsw(refw,p) = 0;
                end
            elseif(p>5)    
                ptmp = point(find(point(:,1)>Rw(refw,1),1,'first'),1);
                if(~isempty(ptmp))
                    pointsw(refw,p) = ptmp;
                else
                    beats2remove = [beats2remove refw];
                    pointsw(refw,p) = 0;
                end
            end
        end
    end
    pointsw(unique(beats2remove),:) = [];
    

end

